<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::MouseButtonPressedEvent Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1MouseButtonPressedEvent.html">MouseButtonPressedEvent</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1MouseButtonPressedEvent-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::MouseButtonPressedEvent Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="MouseEvent_8hpp_source.html">MouseEvent.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::MouseButtonPressedEvent:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1MouseButtonPressedEvent.png" usemap="#gg::MouseButtonPressedEvent_map" alt=""/>
  <map id="gg::MouseButtonPressedEvent_map" name="gg::MouseButtonPressedEvent_map">
<area href="classgg_1_1MouseButtonEvent.html" alt="gg::MouseButtonEvent" shape="rect" coords="0,56,183,80"/>
<area href="classgg_1_1IEvent.html" alt="gg::IEvent" shape="rect" coords="0,0,183,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:accf43bef1d540f25f10839e35b94135e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonPressedEvent.html#accf43bef1d540f25f10839e35b94135e">MouseButtonPressedEvent</a> (sf::Mouse::Button)</td></tr>
<tr class="separator:accf43bef1d540f25f10839e35b94135e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad9fb3818fdec503a1d164d0a0ad3475"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonPressedEvent.html#aad9fb3818fdec503a1d164d0a0ad3475">~MouseButtonPressedEvent</a> () override=default</td></tr>
<tr class="separator:aad9fb3818fdec503a1d164d0a0ad3475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4522038356b809323f197ab59bd41c43"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonPressedEvent.html#a4522038356b809323f197ab59bd41c43">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override</td></tr>
<tr class="separator:a4522038356b809323f197ab59bd41c43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1MouseButtonEvent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1MouseButtonEvent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1MouseButtonEvent.html">gg::MouseButtonEvent</a></td></tr>
<tr class="memitem:a17e77a1efd4385453cf27f8f40a052e8 inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonEvent.html#a17e77a1efd4385453cf27f8f40a052e8">MouseButtonEvent</a> (sf::Mouse::Button)</td></tr>
<tr class="separator:a17e77a1efd4385453cf27f8f40a052e8 inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afddbee453475838c3c6f5dca89916a1f inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonEvent.html#afddbee453475838c3c6f5dca89916a1f">~MouseButtonEvent</a> () override=default</td></tr>
<tr class="separator:afddbee453475838c3c6f5dca89916a1f inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58fb187fa921178ef7802684371d968a inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonEvent.html#a58fb187fa921178ef7802684371d968a">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a> override=0</td></tr>
<tr class="separator:a58fb187fa921178ef7802684371d968a inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9710a29ced43784e6ad16059801b67cf inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonEvent.html#a9710a29ced43784e6ad16059801b67cf">GetKeycode</a> () -&gt; sf::Mouse::Button</td></tr>
<tr class="separator:a9710a29ced43784e6ad16059801b67cf inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95d8a5d854b93d410ceda3a7c6f42ec inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1MouseButtonEvent.html#ab95d8a5d854b93d410ceda3a7c6f42ec">to_string</a> () const -&gt; std::string</td></tr>
<tr class="separator:ab95d8a5d854b93d410ceda3a7c6f42ec inherit pub_methods_classgg_1_1MouseButtonEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#acbf64dbf915a0e0d66bce214266f8ac4">~IEvent</a> ()=default</td></tr>
<tr class="separator:acbf64dbf915a0e0d66bce214266f8ac4 inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">virtual auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0154647492980621230ab6cdc3b3080b">GetEventType</a> () const -&gt; <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a>=0</td></tr>
<tr class="separator:a0154647492980621230ab6cdc3b3080b inherit pub_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1IEvent"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1IEvent')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1IEvent.html">gg::IEvent</a></td></tr>
<tr class="memitem:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEvent.html#a0ce169bdd9bd94235a58670a6e9d81cd">IEvent</a> ()=default</td></tr>
<tr class="separator:a0ce169bdd9bd94235a58670a6e9d81cd inherit pro_methods_classgg_1_1IEvent"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="accf43bef1d540f25f10839e35b94135e" name="accf43bef1d540f25f10839e35b94135e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accf43bef1d540f25f10839e35b94135e">&#9670;&nbsp;</a></span>MouseButtonPressedEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::MouseButtonPressedEvent::MouseButtonPressedEvent </td>
          <td>(</td>
          <td class="paramtype">sf::Mouse::Button&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aad9fb3818fdec503a1d164d0a0ad3475" name="aad9fb3818fdec503a1d164d0a0ad3475"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad9fb3818fdec503a1d164d0a0ad3475">&#9670;&nbsp;</a></span>~MouseButtonPressedEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::MouseButtonPressedEvent::~MouseButtonPressedEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4522038356b809323f197ab59bd41c43" name="a4522038356b809323f197ab59bd41c43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4522038356b809323f197ab59bd41c43">&#9670;&nbsp;</a></span>GetEventType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto gg::MouseButtonPressedEvent::GetEventType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  <a class="el" href="namespacegg.html#ada69b9f844678d00cd5c2b2c30a20122">EventType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1MouseButtonEvent.html#a58fb187fa921178ef7802684371d968a">gg::MouseButtonEvent</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/events/<a class="el" href="MouseEvent_8hpp_source.html">MouseEvent.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
